package cz.moneta.test.dsl.kasanova.components.enums;

import java.util.Random;

public enum KSNNumberGenerator {
    N_248153694("248153694"), 
    N_145279816("145279816"), 
    N_499673661("499673661"), 
    N_667881222("667881222"),
    N_1242874("1242874"), 
    N_7472722("7472722"), 
    N_7878982("7878982"), 
    N_4244547("4244547"),
    N_47583("47583"), 
    N_12454("12454"), 
    N_17174("17174"), 
    N_32321("32321");
    
    private final String value;
    private static final Random random = new Random();
    
    KSNNumberGenerator(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }
    
    public static KSNNumberGenerator getRandomNumber() {
        int i = random.nextInt(KSNNumberGenerator.values().length);
        return KSNNumberGenerator.values()[i];
    }

    public static String getRandomNumberValue() {
        int i = random.nextInt(KSNNumberGenerator.values().length);
        return KSNNumberGenerator.values()[i].getValue();
    }
}
